import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CloudFileWhereInputObjectSchema as CloudFileWhereInputObjectSchema } from './CloudFileWhereInput.schema'

const makeSchema = () => z.object({
  where: z.lazy(() => CloudFileWhereInputObjectSchema).optional()
}).strict();
export const CloudFolderCountOutputTypeCountFilesArgsObjectSchema = makeSchema();
export const CloudFolderCountOutputTypeCountFilesArgsObjectZodSchema = makeSchema();
